GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::algorithm::CentroidLine Class Reference

`#include <CentroidLine.h>`

## Public Member Functions
void | add (const geom::Geometry *geom)
| Adds the linestring(s) defined by a Geometry to the centroid total.
void | add (const geom::CoordinateSequence *pts)
| Adds the length defined by an array of coordinates.
geom::Coordinate * | getCentroid () const
bool | getCentroid (geom::Coordinate &ret) const
| return false if centroid could not be computed

## Detailed Description

Deprecated:
  use Centroid instead

## Member Function Documentation

void geos::algorithm::CentroidLine::add | ( | const geom::Geometry * | geom | ) |

Adds the linestring(s) defined by a Geometry to the centroid total.

If the geometry is not linear it does not contribute to the centroid

Parameters

  geom | the geometry to add

void geos::algorithm::CentroidLine::add | ( | const geom::CoordinateSequence * | pts | ) |

Adds the length defined by an array of coordinates.

Parameters

  pts | an array of geom::Coordinates

The documentation for this class was generated from the following file:

- CentroidLine.h